OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class SnmpManagedInterface

    java.lang.Object
      org.opennms.web.admin.nodeManagement.SnmpManagedInterface

public class SnmpManagedInterface
extends java.lang.Object

A servlet that stores interface information used in setting up SNMP Data Collection

Author:
  Tarus Balog , OpenNMS

Field Summary
`protected java.lang.String` `address`
`protected java.lang.String` `ifAlias`
`protected java.lang.String` `ifDescr`
`protected int` `ifIndex`
`protected java.lang.String` `ifName`
`protected int` `ifType`
`protected java.lang.String` `iphostname`
`protected int` `nodeid`
`protected java.lang.String` `snmpstatus`

Constructor Summary
`SnmpManagedInterface()`

Method Summary
`java.lang.String` `getAddress()`
`java.lang.String` `getIfAlias()`
`java.lang.String` `getIfDescr()`
`int` `getIfIndex()`
`java.lang.String` `getIfName()`
`int` `getIfType()`
`java.lang.String` `getIpHostname()`
`int` `getNodeid()`
`java.lang.String` `getStatus()`
`void` `setAddress(java.lang.String newAddress)`
`void` `setIfAlias(java.lang.String newIfAlias)`
`void` `setIfDescr(java.lang.String newIfDescr)`
`void` `setIfIndex(int index)`
`void` `setIfName(java.lang.String newIfName)`
`void` `setIfType(int newIfType)`
`void` `setIpHostname(java.lang.String newIpHostname)`
`void` `setNodeid(int id)`
`void` `setStatus(java.lang.String newStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected java.lang.String address

### nodeid

    protected int nodeid

### ifIndex

    protected int ifIndex

### iphostname

    protected java.lang.String iphostname

### snmpstatus

    protected java.lang.String snmpstatus

### ifDescr

    protected java.lang.String ifDescr

### ifType

    protected int ifType

### ifName

    protected java.lang.String ifName

### ifAlias

    protected java.lang.String ifAlias

Constructor Detail

### SnmpManagedInterface

    public SnmpManagedInterface()

Method Detail

### setAddress

    public void setAddress(java.lang.String newAddress)

### getAddress

    public java.lang.String getAddress()

### setNodeid

    public void setNodeid(int id)

### getNodeid

    public int getNodeid()

### setIfIndex

    public void setIfIndex(int index)

### getIfIndex

    public int getIfIndex()

### setIpHostname

    public void setIpHostname(java.lang.String newIpHostname)

### getIpHostname

    public java.lang.String getIpHostname()

### setStatus

    public void setStatus(java.lang.String newStatus)

### getStatus

    public java.lang.String getStatus()

### setIfDescr

    public void setIfDescr(java.lang.String newIfDescr)

### getIfDescr

    public java.lang.String getIfDescr()

### setIfType

    public void setIfType(int newIfType)

### getIfType

    public int getIfType()

### setIfName

    public void setIfName(java.lang.String newIfName)

### getIfName

    public java.lang.String getIfName()

### getIfAlias

    public java.lang.String getIfAlias()

### setIfAlias

    public void setIfAlias(java.lang.String newIfAlias)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.